关闭

Linux 安装Nginx详细图解教程

标签: LinuxNginx
163人阅读 评论(0) 收藏 举报

系统:Centos6.6  64

Nginx:  http://nginx.org/en/download.html 目前最新版本1.9.9 我下载1.9.9


下载模块依赖性Nginx需要依赖下面3个包。注:请自行到官网下载最新版本!

1.gzip 模块需要 zlib 库 ( 下载: http://www.zlib.net/ )
2.rewrite 模块需要 pcre 库 ( 下载: http://www.pcre.org/ )
3.ssl 功能需要 openssl 库 ( 下载: http://www.openssl.org/ )

依赖包安装顺序依次为:openssl、zlib、pcre, 然后安装Nginx包

如果没有安装c++编译环境,还得安装,通过yum install gcc-c++完成安装
下载完成后:



全部下载完成之后查看是否存在下载安装包


接下来,解压并且编译安装

openssl 

 

[root@localhost] tar zxvf openssl-fips-2.0.12.tar.gz

[root@localhost] cd openssl-fips-2.0.12

[root@localhost] ./config && make && make install

 

pcre:

 

[root@localhost] tar zxvf pcre-8.38.tar.gz

[root@localhost] cd pcre-8.38

[root@localhost]  ./configure && make && make install

 

zlib:

[root@localhost]tar zxvf zlib-1.2.8.tar.gz

[root@localhost] cd zlib-1.2.8

[root@localhost]  ./configure && make && make install

 

最后安装nginx

[root@localhost]tar zxvf nginx-1.8.0.tar.gz

[root@localhost] cd nginx-1.8.0

[root@localhost]  ./configure && make && make install


安装完成后,可启动nginx

启动命令:/usr/local/nginx/sbin/nginx
发现报错了:
error while loading shared libraries: libpcre.so.1: cannot open shared object file: No such file or directory
经网上查询,这是linux的通病
单击解决问题
[root@localhost nginx]# sbin/nginx 
sbin/nginx: error while loading shared libraries: libpcre.so.1: cannot open shared object file: No such file or directory
[root@localhost nginx]# error while loading shared libraries: libpcre.so.1: cannot open shared object file: No such file or directory
[root@localhost nginx]# whereis libpcre.so.1
libpcre.so: /lib64/libpcre.so.0 /usr/local/lib/libpcre.so /usr/local/lib/libpcre.so.1
[root@localhost nginx]# ln -s /usr/local/lib/libpcre.so.1 /lib64
[root@localhost nginx]# sbin/nginx   
 先找到libpcre.so.1所在位置,然后做个软链接就可以了。

       
启动没有报错



查看是否已启动:


通过浏览器访问:


看到这个就说明nginx安装并启动成功。


ps:

启动:/usr/local/nginx/sbin/nginx
停止/重新加载:/usr/local/nginx/sbin/nginx -s stop(quit、reload)
验证配置文件是否合法:/usr/local/nginx/sbin/nginx -t

命令帮助:/usr/local/nginx/sbin/nginx -h


安装Nginx时报错
 
./configure: error: the HTTP rewrite module requires the PCRE library.
 
安装pcre-devel解决问题
yum -y install pcre-devel
 
错误提示:./configure: error: the HTTP cache module requires md5 functions
from OpenSSL library.   You can either disable the module by using
--without-http-cache option, or install the OpenSSL library into the system,
or build the OpenSSL library statically from the source with nginx by using
--with-http_ssl_module --with-openssl=<path> options.
 
解决办法:
 
yum -y install openssl openssl-devel
 
总结:
 
yum -y install pcre-devel openssl openssl-devel
 
./configure --prefix=/usr/local/nginx
 
make
 
make install

1
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:46933次
    • 积分:997
    • 等级:
    • 排名:千里之外
    • 原创:52篇
    • 转载:0篇
    • 译文:0篇
    • 评论:1条
    文章分类
    最新评论